Subject: bug#4093: Overlay keymap and timers

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Aug 2009 00:06:47 -0400

> Yes, this is a really bad thing - sometimes, ie when you need to do
> just that.

The code in keyboard.c reads the set of active keymaps before reading
the next event.  That's most likely the explanation for this behavior.

> Is there any fundamental difficulty with fixing this?

It seems the relevant code is trying to do something clever in case of
low-memory situations, so we may bump into surprises, but other than
that, I can't think of any reason why it should be difficult.

        Stefan